// temperaturesensor.ino
//
// 温度を測る（温度センサ使用）
// 
// Written by Nobuki HIRAMINE
// Last modified : 2011/12/03

#include <LiquidCrystal.h>

#define SENSORPIN	(0)

LiquidCrystal lcd( 12, 11, 5, 4, 3, 2 );

void setup()
{
	lcd.begin( 16, 2 );
	lcd.clear();
}

void loop()
{
	int iValue = analogRead( SENSORPIN );
	double dV = iValue * 5.0 / 1023;
	double dTemperature = dV * 100.0;
	
	lcd.clear();
	lcd.setCursor( 0, 0 );
	lcd.print( dTemperature );
	lcd.print( "[degrees]" );
	
	delay( 1000 );
}
